Bug 2072562 (CVE-2022-28282) - CVE-2022-28282 Mozilla: Use-after-free in DocumentL10n::TranslateDocument
Summary: CVE-2022-28282 Mozilla: Use-after-free in DocumentL10n::TranslateDocument
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-28282
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2069596 2069597 2069598 2069599 2069600 2069601 2069602 2069603 2069604 2069610 2072587 2072588 2072589 2072590 2072591 2072592 2072593 2072594 2072595
Blocks: 2069594
TreeView+ depends on / blocked
 
Reported: 2022-04-06 14:18 UTC by Mauro Matteo Cascella
Modified: 2022-05-17 09:35 UTC (History)
5 users (show)

Fixed In Version: firefox 91.8, thunderbird 91.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-12 18:08:11 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:1283 0 None None None 2022-04-08 13:58:55 UTC
Red Hat Product Errata RHSA-2022:1284 0 None None None 2022-04-08 15:08:44 UTC
Red Hat Product Errata RHSA-2022:1285 0 None None None 2022-04-08 14:43:12 UTC
Red Hat Product Errata RHSA-2022:1286 0 None None None 2022-04-08 14:35:14 UTC
Red Hat Product Errata RHSA-2022:1287 0 None None None 2022-04-08 14:38:16 UTC
Red Hat Product Errata RHSA-2022:1301 0 None None None 2022-04-11 14:14:06 UTC
Red Hat Product Errata RHSA-2022:1302 0 None None None 2022-04-11 14:49:04 UTC
Red Hat Product Errata RHSA-2022:1303 0 None None None 2022-04-11 13:49:56 UTC
Red Hat Product Errata RHSA-2022:1305 0 None None None 2022-04-11 14:32:06 UTC
Red Hat Product Errata RHSA-2022:1326 0 None None None 2022-04-12 14:31:47 UTC

Description Mauro Matteo Cascella 2022-04-06 14:18:15 UTC
By using a link with `rel="localization"` a use-after-free could have been triggered by destroying an object during JavaScript execution and then referencing the object through a freed pointer, leading to a potential exploitable crash.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2022-14/#CVE-2022-28282

Comment 1 errata-xmlrpc 2022-04-08 13:58:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:1283 https://access.redhat.com/errata/RHSA-2022:1283

Comment 2 errata-xmlrpc 2022-04-08 14:35:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:1286 https://access.redhat.com/errata/RHSA-2022:1286

Comment 3 errata-xmlrpc 2022-04-08 14:38:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1287 https://access.redhat.com/errata/RHSA-2022:1287

Comment 4 errata-xmlrpc 2022-04-08 14:43:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:1285 https://access.redhat.com/errata/RHSA-2022:1285

Comment 5 errata-xmlrpc 2022-04-08 15:08:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:1284 https://access.redhat.com/errata/RHSA-2022:1284

Comment 6 errata-xmlrpc 2022-04-11 13:49:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:1303 https://access.redhat.com/errata/RHSA-2022:1303

Comment 7 errata-xmlrpc 2022-04-11 14:14:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1301 https://access.redhat.com/errata/RHSA-2022:1301

Comment 8 errata-xmlrpc 2022-04-11 14:32:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:1305 https://access.redhat.com/errata/RHSA-2022:1305

Comment 9 errata-xmlrpc 2022-04-11 14:49:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:1302 https://access.redhat.com/errata/RHSA-2022:1302

Comment 10 errata-xmlrpc 2022-04-12 14:31:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:1326 https://access.redhat.com/errata/RHSA-2022:1326

Comment 11 Product Security DevOps Team 2022-04-12 18:08:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-28282


Note You need to log in before you can comment on or make changes to this bug.